Get a received invoice
curl --request GET \
--url https://api.breezing.io/v1/invoices/{id}import requests
url = "https://api.breezing.io/v1/invoices/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/invoices/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/invoices/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/invoices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"status": "processing",
"documentType": "<string>",
"name": "<string>",
"extension": "<string>",
"contentType": "<string>",
"pageCount": 123,
"vendorName": "<string>",
"vendorVatId": "<string>",
"vendorIban": "<string>",
"vendorContactId": 123,
"invoiceNumber": "<string>",
"invoiceDate": "2026-03-14",
"dueDate": "2026-03-14",
"glImpactDate": "2026-03-14",
"currency": "<string>",
"totalAmount": "<string>",
"netAmount": "<string>",
"vatAmount": "<string>",
"totalAmountFiat": "<string>",
"netAmountFiat": "<string>",
"vatAmountFiat": "<string>",
"account": "<string>",
"vat": "<string>",
"note": "<string>",
"scanError": "<string>",
"isPossibleDuplicate": true,
"duplicateOfId": 123,
"multiInvoiceSuspected": true,
"reviewedBy": 123,
"reviewedAt": 123,
"xeroBillId": "<string>",
"xeroPaymentId": "<string>",
"qboBillId": "<string>",
"qboPaymentId": "<string>",
"bexioBillId": "<string>",
"bexioPaymentId": "<string>",
"publishedAt": 123,
"inBooks": true,
"booksReasons": [
"<string>"
],
"paymentStatus": "paid",
"previewUrl": "<string>",
"createdAt": 123,
"updatedAt": 123,
"matches": [
{
"id": 123,
"trxId": 123,
"appliedAmountFiat": "<string>",
"differenceFiat": "<string>",
"xeroPaymentId": "<string>",
"trx": {
"id": 123,
"date": 123,
"direction": "<string>",
"token": "<string>",
"amount": "<string>",
"amountFiat": "<string>",
"walletId": 123,
"transactionId": "<string>",
"exchangeId": 123,
"isLocked": true,
"counterparty": "<string>"
}
}
],
"settlement": {
"mode": "direct",
"accountCode": "<string>",
"appliedAmountFiat": "<string>",
"xeroPayments": [
{
"trxId": 123,
"action": "pay",
"accountCode": "<string>",
"accountName": "<string>",
"amount": "<string>",
"date": "<string>",
"paymentId": "<string>",
"reason": "<string>"
}
]
},
"duplicateOf": {
"id": 123,
"vendorName": "<string>",
"invoiceNumber": "<string>",
"totalAmount": "<string>",
"status": "<string>"
},
"vendorSuggestion": {
"contactId": 123,
"name": "<string>",
"defaultAccount": "<string>",
"defaultVat": "<string>"
},
"books": {
"eligible": true,
"reasons": [
"<string>"
]
},
"exchangeRate": "<unknown>",
"rawExtraction": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Invoices
Get Invoice API
Retrieve one received invoice from Breezing with its payment matches, vendor suggestion, books eligibility, and scanned field data.
GET
/
invoices
/
{id}
Get a received invoice
curl --request GET \
--url https://api.breezing.io/v1/invoices/{id}import requests
url = "https://api.breezing.io/v1/invoices/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/invoices/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/invoices/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/invoices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"status": "processing",
"documentType": "<string>",
"name": "<string>",
"extension": "<string>",
"contentType": "<string>",
"pageCount": 123,
"vendorName": "<string>",
"vendorVatId": "<string>",
"vendorIban": "<string>",
"vendorContactId": 123,
"invoiceNumber": "<string>",
"invoiceDate": "2026-03-14",
"dueDate": "2026-03-14",
"glImpactDate": "2026-03-14",
"currency": "<string>",
"totalAmount": "<string>",
"netAmount": "<string>",
"vatAmount": "<string>",
"totalAmountFiat": "<string>",
"netAmountFiat": "<string>",
"vatAmountFiat": "<string>",
"account": "<string>",
"vat": "<string>",
"note": "<string>",
"scanError": "<string>",
"isPossibleDuplicate": true,
"duplicateOfId": 123,
"multiInvoiceSuspected": true,
"reviewedBy": 123,
"reviewedAt": 123,
"xeroBillId": "<string>",
"xeroPaymentId": "<string>",
"qboBillId": "<string>",
"qboPaymentId": "<string>",
"bexioBillId": "<string>",
"bexioPaymentId": "<string>",
"publishedAt": 123,
"inBooks": true,
"booksReasons": [
"<string>"
],
"paymentStatus": "paid",
"previewUrl": "<string>",
"createdAt": 123,
"updatedAt": 123,
"matches": [
{
"id": 123,
"trxId": 123,
"appliedAmountFiat": "<string>",
"differenceFiat": "<string>",
"xeroPaymentId": "<string>",
"trx": {
"id": 123,
"date": 123,
"direction": "<string>",
"token": "<string>",
"amount": "<string>",
"amountFiat": "<string>",
"walletId": 123,
"transactionId": "<string>",
"exchangeId": 123,
"isLocked": true,
"counterparty": "<string>"
}
}
],
"settlement": {
"mode": "direct",
"accountCode": "<string>",
"appliedAmountFiat": "<string>",
"xeroPayments": [
{
"trxId": 123,
"action": "pay",
"accountCode": "<string>",
"accountName": "<string>",
"amount": "<string>",
"date": "<string>",
"paymentId": "<string>",
"reason": "<string>"
}
]
},
"duplicateOf": {
"id": 123,
"vendorName": "<string>",
"invoiceNumber": "<string>",
"totalAmount": "<string>",
"status": "<string>"
},
"vendorSuggestion": {
"contactId": 123,
"name": "<string>",
"defaultAccount": "<string>",
"defaultVat": "<string>"
},
"books": {
"eligible": true,
"reasons": [
"<string>"
]
},
"exchangeRate": "<unknown>",
"rawExtraction": "<unknown>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Last modified on November 13, 2026